<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/PTree/ClassSpec.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::PTree::ClassSpec</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../PTree.html" >PTree</a>
</div><div class="class-name">class ClassSpec

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/PTree/Lists.hh.html" target="detail">../Synopsis/PTree/Lists.hh</a></div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis_mPTree_mClassSpec" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line194" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="ClassSpec-inheritance" src="ClassSpec-inheritance.png" hspace="8" vspace="8" border="0" usemap="#ClassSpec-inheritance_map" />
<map name="ClassSpec-inheritance_map"><area alt="Scopes/Synopsis/PTree/List.html" href="List.html" shape="rect" coords="23, 82, 167, 106" />
<area alt="Scopes/Synopsis/PTree/Node.html" href="Node.html" shape="rect" coords="19, 7, 171, 31" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="ClassSpec_lNode_S_cNode_S_cNode_S_r">ClassSpec</a>(<a href="Node.html" >Node</a>*, <a href="Node.html" >Node</a>*, <a href="Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis_mPTree_mClassSpec_mClassSpec_lNode_S_cNode_S_cNode_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line197" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="ClassSpec_lconst.Encoding_A_cNode_S_cNode_S_cNode_S_r">ClassSpec</a>(const&#160;<a href="Encoding.html" >Encoding</a>&amp;, <a href="Node.html" >Node</a>*, <a href="Node.html" >Node</a>*, <a href="Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis_mPTree_mClassSpec_mClassSpec_lconst.Encoding_A_cNode_S_cNode_S_cNode_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line198" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="accept_lVisitor_S_r">accept</a>(<a href="Visitor.html" >Visitor</a>* <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis_mPTree_mClassSpec_maccept_lVisitor_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line199" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Encoding.html" >Encoding</a> <a class="name" id="encoded_name_l_rconst">encoded_name</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis_mPTree_mClassSpec_mencoded_name_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line200" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="set_encoded_name_lconst.Encoding_A_r">set_encoded_name</a>(const&#160;<a href="Encoding.html" >Encoding</a>&amp; <span class="variable">n</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis_mPTree_mClassSpec_mset_encoded_name_lconst.Encoding_A_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line201" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Node.html" >Node</a>* <a class="name" id="get_comments_l_r">get_comments</a>()  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis_mPTree_mClassSpec_mget_comments_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line202" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;const&#160;<a href="Node.html" >Node</a>* <span class="name"><a href="ClassSpec.html#base_clause_l_rconst" >base_clause</a></span>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis_mPTree_mClassSpec_mbase_clause_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line204" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>The list of base classes, i.e.</p>
</div></div>
<div class="item"><div class="synopsis">&#160;<a href="ClassBody.html" >ClassBody</a>* <span class="name"><a href="ClassSpec.html#body_l_r" >body</a></span>()  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis_mPTree_mClassSpec_mbody_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line207" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>The following assumes proper C++, i.e.</p>
</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis"><a href="Encoding.html" >Encoding</a> <a class="name" id="my_name">my_name</a></div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis_mPTree_mClassSpec_mmy_name" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line209" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="my_comments">my_comments</a></div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis_mPTree_mClassSpec_mmy_comments" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line210" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Public Member functions Inherited from List">
<tr><td colspan="2" class="heading">Public Member functions Inherited from List</td></tr>
<tr><td class="inherited"><a href="List.html#is_atom_l_rconst" title="member function List::is_atom&#40;&#41;const">is_atom</a></td></tr></table>
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Public Member functions Details:</div>
<div class="item"><div class="synopsis">&#160;const&#160;<a href="Node.html" >Node</a>* <a class="name" id="base_clause_l_rconst">base_clause</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis_mPTree_mClassSpec_mbase_clause_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line204" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>The list of base classes, i.e. [: [public A] , [public virtual B] ...]</p>
</div></div>
<div class="item"><div class="synopsis">&#160;<a href="ClassBody.html" >ClassBody</a>* <a class="name" id="body_l_r">body</a>()  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis_mPTree_mClassSpec_mbody_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line207" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>The following assumes proper C++, i.e. no OpenC++ extension.</p>
</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:46 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
